Bug 116993 - flash device should be set to root.disk
flash device should be set to root.disk
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: pam (Show other bugs)
1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tomas Mraz
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-02-27 00:21 EST by Tammy Fox
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version: pam-0.77-63
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-27 03:19:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tammy Fox 2004-02-27 00:21:05 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1)
Gecko/20031114 Epiphany/1.0.4

Description of problem:
After symlinking /dev/flash to /dev/sda1, I have the following in
/etc/fstab to mount a USB CompactFlash reader:

/dev/flash       /mnt/flash       auto    defaults,owner        0 0

However, when I mount /mnt/flash, it will only mount it as root
because the device is owned by root.

If I modify /etc/security/console.perms:

- <flash>=/mnt/flash*
+ <flash>=/mnt/flash* /dev/flash*

- <console>  0600 <flash>      0600 root
+ <console>  0600 <flash>      0600 root.disk

the first person who logs into the console ownership of the device and
thus I can mount it with read/write priviledges as the first user
logged in.

Is it possible to make this change in our default file?

I could add the option 'user' to the /etc/fstab line to do this as
well, but the other removeable devices like jaz, zip, and ls120 have
root.disk associated with it in this file.

Not sure which one is more correct -- using 'user' option or having
ownership set automatically in console.perms.

Version-Release number of selected component (if applicable):
pam-0.77-15

How reproducible:
Always

Steps to Reproduce:
1. Add an entry to /etc/fstab for a USB CompactFlash reader
2. Right click on the GNOME desktop and select Disk -> flash
3. Notice it won't mount with the Details says "only root can mount
/dev/flash on /mnt/flash" (unless I add the option 'user' to my
/etc/fstab line)

Additional info:
Comment 1 Tomas Mraz 2004-09-21 10:02:17 EDT
This should work fine with the current entry in console.perms file.

Note, you must do it this way:
1. Add the symlink, add the entry to /etc/fstab
2. Log out
3. Log in
4. Try to mount it - it should work
Comment 2 Tammy Fox 2004-09-21 11:26:10 EDT
When you say "current" do you mean the current version of pam in FC2,
FC3test1, rawhide, or what? I'd be glad to test it out if you let me
know what version to install.
Comment 3 Tomas Mraz 2004-09-21 11:48:41 EDT
I've tested it on current devel package of pam (0.77-56) but I think
the pam_console module isn't different from FC2.

Note You need to log in before you can comment on or make changes to this bug.